## requests-file 1.4.3

=== requirements.txt ===
requests>=1.0.0
six

=== debian/changelog ===
requests-file (1.4.3-2) unstable; urgency=medium

  * drop Python 2 support (Closes: #938356)

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 03 Sep 2019 11:33:44 -0400

requests-file (1.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove patch factored in upstream.

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 06 Jan 2018 09:55:00 -0500

requests-file (1.4.2-1) unstable; urgency=low

  * Autogenerated by py2dsp v1.20151008
  * First packaging to unstable (Closes: #879125)
  * Upstream patch: skip test if locale is mising

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 19 Oct 2017 18:12:45 +0000

=== debian/control ===
Source: requests-file
Section: python
Priority: optional
Maintainer: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper (>= 10), dh-python,
               python3-all,
               python3-setuptools,
               python3-requests,
               python3-six
Standards-Version: 4.1.1
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Homepage: http://github.com/dashea/requests-file
Vcs-Git: https://anonscm.debian.org/git/collab-maint/requests-file.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/requests-file.git

Package: python3-requests-file
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: File transport adapter for Requests - Python 3.X
 Requests-File is a transport adapter for use with the Requests Python
 library to allow local filesystem access via file:// URLs.
 .
 Features:
 .
  * Will open and read local files
  * Might set a Content-Length header
  * That's about it
 .
 No encoding information is set in the response object, so be careful using
 Response.text: the chardet library will be used to convert the file to a
 unicode type and it may not detect what you actually want.
 .
 EACCES is converted to a 403 status code, and ENOENT is converted to a
 404. All other IOError types are converted to a 400.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=requests-file
%:
	dh $@ --with python3 --buildsystem=pybuild

## requests-file 1.5.1

=== debian/changelog ===
requests-file (1.5.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Antoine Beaupré ]
  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 27 Apr 2020 12:18:08 -0400

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: python
 Priority: optional
 Maintainer: Antoine Beaupré <anarcat@debian.org>
-Build-Depends: debhelper (>= 10), dh-python,
+Build-Depends: debhelper (>= 10),
+               dh-python,
                python3-all,
+               python3-pytest,
                python3-setuptools,
                python3-requests,
-               python3-six
+               python3-six,
 Standards-Version: 4.1.1
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
 Homepage: http://github.com/dashea/requests-file
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/requests-file.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/requests-file.git
+Vcs-Git: https://salsa.debian.org/debian/requests-file.git
+Vcs-Browser: https://salsa.debian.org/debian/requests-file
 
 Package: python3-requests-file
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=requests-file
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	PYTHONPATH=$(CURDIR) pytest-3

=== debian/watch ===
# try also https://pypi.debian.net/requests-file/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/requests-file/requests-file-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## requests-file 2.0.0

=== debian/changelog ===
requests-file (2.0.0-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 05 Apr 2024 23:27:36 -0400

requests-file (1.5.1-2) unstable; urgency=medium

  * add patch to remove trivial six usage
  * use https:// url's in packaging
  * switch to debhelper 13

 -- Alexandre Detiste <tchet@debian.org>  Fri, 05 Jan 2024 19:52:56 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: python
 Priority: optional
 Maintainer: Antoine Beaupré <anarcat@debian.org>
-Build-Depends: debhelper (>= 10),
-               dh-python,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-pytest,
+               python3-requests,
                python3-setuptools,
-               python3-requests,
-               python3-six,
+               python3-setuptools-scm,
 Standards-Version: 4.1.1
-Homepage: http://github.com/dashea/requests-file
+Homepage: https://github.com/dashea/requests-file
 Vcs-Git: https://salsa.debian.org/debian/requests-file.git
 Vcs-Browser: https://salsa.debian.org/debian/requests-file

## requests-file 2.1.0

=== debian/changelog ===
requests-file (2.1.0-1) unstable; urgency=medium

  * Acknowledge NMU
  * New upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 19 Dec 2024 09:41:54 -0500

requests-file (2.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update d/watch to detect new & future versions.
  * Set "Rules-Requires-Root: no"

 -- Alexandre Detiste <tchet@debian.org>  Wed, 18 Dec 2024 16:39:01 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                python3-requests,
                python3-setuptools,
                python3-setuptools-scm,
+Rules-Requires-Root: no
 Standards-Version: 4.1.1
 Homepage: https://github.com/dashea/requests-file
 Vcs-Git: https://salsa.debian.org/debian/requests-file.git

=== debian/watch ===
# try also https://pypi.debian.net/requests-file/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/requests-file/requests_file-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## requests-file 3.0.1

=== debian/changelog ===
requests-file (3.0.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1118411)

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 05 Feb 2026 10:10:30 -0500

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-setuptools-scm,
 Rules-Requires-Root: no
 Standards-Version: 4.1.1
-Homepage: https://github.com/dashea/requests-file
+Homepage: https://codeberg.org/dashea/requests-file
 Vcs-Git: https://salsa.debian.org/debian/requests-file.git
 Vcs-Browser: https://salsa.debian.org/debian/requests-file
